{
	"artifacts" : 
	[
		{
			"path" : "uctc.cpython-311-x86_64-linux-gnu.so"
		}
	],
	"backtrace" : 4,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_library",
			"__Python_add_library",
			"python_add_library",
			"pybind11_add_module",
			"target_link_libraries"
		],
		"files" : 
		[
			"/usr/share/cmake-3.28/Modules/FindPython/Support.cmake",
			"/usr/share/cmake-3.28/Modules/FindPython.cmake",
			"/home/hce/miniconda3/lib/python3.11/site-packages/pybind11/share/cmake/pybind11/pybind11NewTools.cmake",
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 3
			},
			{
				"command" : 3,
				"file" : 3,
				"line" : 9,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 2,
				"line" : 267,
				"parent" : 1
			},
			{
				"command" : 1,
				"file" : 1,
				"line" : 635,
				"parent" : 2
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 4073,
				"parent" : 3
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 4082,
				"parent" : 3
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 274,
				"parent" : 1
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-O3 -g -std=gnu++17 -fPIC -fvisibility=hidden"
				}
			],
			"defines" : 
			[
				{
					"define" : "uctc_EXPORTS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 5,
					"isSystem" : true,
					"path" : "/home/hce/miniconda3/include/python3.11"
				},
				{
					"backtrace" : 6,
					"isSystem" : true,
					"path" : "/home/hce/miniconda3/lib/python3.11/site-packages/pybind11/include"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					6,
					6,
					6
				],
				"standard" : "17"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4
			]
		}
	],
	"id" : "uctc::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "",
				"role" : "flags"
			}
		],
		"language" : "CXX"
	},
	"name" : "uctc",
	"nameOnDisk" : "uctc.cpython-311-x86_64-linux-gnu.so",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "uctc.cc",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "math/arith.cc",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "operators/nn.cc",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "operators/ops.cc",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "tensor/tensor.cc",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "MODULE_LIBRARY"
}
